--【导例9.8】 隐式事务方式。
use 教学成绩管理数据库
set xact_abort on
set implicit_transactions on      --启动隐性事务模式
create table 学生会干部表
	(姓名 nchar(4), 
	 性别 nchar(1) check(性别 in ('男','女')), 
	 职务 nchar(5))
insert 学生会干部表(姓名,性别,职务) values ('任重','男','主席')
insert 学生会干部表(姓名,性别,职务) values ('张驰','女','副主席')
insert 学生会干部表(姓名,性别,职务) values ('陈钧 ','南','体育部长')
insert 学生会干部表(姓名,性别,职务) values ('梁美娟','男','宣传文艺部长')
insert 学生会干部表(姓名,性别,职务) values ('乔美佳','女','组织部长')
commit
select * from 学生会干部表
drop table 学生会干部表
